kdev_new()
{
	local acct="$1"
	local name="$2"
	local lpid="$3"
	local flags="$4"

	kdev_current=${#kdev[*]}

	kdev[$kdev_current]="$acct"
	kdev_name[$kdev_current]="$name"

	case "$lpid" in
	*/*)		kdev_key[$kdev_current]="$lpid" ;;
	*)		kdev_key[$kdev_current]="https://launchpad.net/$lpid/+sshkeys" ;;
	esac

	case ",$flags," in
	*,admin,*)	kdev_passwd[$kdev_current]="true" ;;
	esac
}

kdev_obsolete()
{
	local acct="$1"
	local name="$2"
	local lpid="$3"
	local flags="$4"

	kdev_current=${#kdev[*]}

	kdev[$kdev_current]="$acct"
	kdev_obsolete[$kdev_current]="$acct"
	kdev_name[$kdev_current]="$name"
}

kdev_obsolete ogasawara 'Leann Ogasawara' https://launchpad.net/~leannogasawara/+sshkeys admin
kdev_new apw 'Andy Whitcroft' https://launchpad.net/~apw/+sshkeys admin
kdev_obsolete bradf 'Brad Figg' https://launchpad.net/~brad-figg/+sshkeys admin
kdev_obsolete cking 'Colin King' https://launchpad.net/~colin-king/+sshkeys
kdev_new smb 'Stefan Bader' https://launchpad.net/~smb/+sshkeys admin
kdev_new kamal 'Kamal Mostafa' https://launchpad.net/~kamalmostafa/+sshkeys
kdev_obsolete sforshee 'Seth Forshee' https://launchpad.net/~sforshee/+sshkeys admin
kdev_new ppisati 'Paolo Pisati' https://launchpad.net/~p-pisati/+sshkeys
kdev_obsolete jpd 'John Donnelly' https://launchpad.net/~jpdonnelly/+sshkeys
kdev_new mhcerri 'Marcelo Cerri' https://launchpad.net/~mhcerri/+sshkeys
kdev_new jsalisbury 'Joe Salisbury' https://launchpad.net/~jsalisbury/+sshkeys
kdev_obsolete henrix 'Luis Henriques' https://launchpad.net/~henrix/+sshkeys
kdev_new bromer 'Ben Romer' https://launchpad.net/~bromer/+sshkeys
kdev_new acelan 'Chia-Lin Kao' https://launchpad.net/~acelankao/+sshkeys
kdev_new ikepanhc 'Ike Panhc' https://launchpad.net/~ikepanhc/+sshkeys
kdev_new jj 'John Johansen' https://launchpad.net/~jjohansen/+sshkeys
kdev_obsolete lexical 'Keng-Yu Lin' https://launchpad.net/~lexical/+sshkeys
kdev_obsolete manjo 'Manoj Iyer' https://launchpad.net/~manjo/+sshkeys
kdev_obsolete pgraner 'Pete Graner' https://launchpad.net/~pgraner/+sshkeys
kdev_new doko 'Mathias Klose' https://launchpad.net/~doko/+sshkeys
kdev_obsolete sarvatt 'Robert Hooker' https://launchpad.net/~sarvatt/+sshkeys
kdev_new tjaalton 'Timo Aaltonen' https://launchpad.net/~tjaalton/+sshkeys
kdev_obsolete ming 'Ming Lei' https://launchpad.net/~tom-leiming/+sshkeys
kdev_obsolete lli5 'Li Li' https://launchpad.net/~lli5/+sshkeys
kdev_new jesse 'Jesse Sung' https://launchpad.net/~wenchien/+sshkeys
kdev_new ivanhu 'Ivan Hu' https://launchpad.net/~ivan.hu/+sshkeys
kdev_new gavinguo 'Gavin Guo' https://launchpad.net/~mimi0213kimo/+sshkeys
kdev_obsolete adconrad 'Adam Conrad' https://launchpad.net/~adconrad/+sshkeys
kdev_new tseliot 'Alberto Milone' https://launchpad.net/~albertomilone/+sshkeys
kdev_obsolete tyhicks 'Tyler Hicks' https://launchpad.net/~tyhicks/+sshkeys
kdev_obsolete shrirang 'Shrirand Bagul' https://launchpad.net/~shrirang-bagul/+sshkeys
kdev_new cascardo 'Thadeu Cascardo' https://launchpad.net/~cascardo/+sshkeys
kdev_obsolete diwic 'David Henningsson' https://launchpad.net/~diwic/+sshkeys
kdev_new kleber 'Kleber Souza' https://launchpad.net/~kleber-souza/+sshkeys
kdev_new juergh 'Juerg Haefliger' https://launchpad.net/~juergh/+sshkeys
kdev_new kmously 'Khaled El Mously' https://launchpad.net/~kmously/+sshkeys
kdev_obsolete trudd 'Terry K. Rudd' https://launchpad.net/~terrykrudd/+sshkeys
kdev_new vicamo 'You-Sheng Yang' https://launchpad.net/~vicamo/+sshkeys
kdev_new arighi 'Andrea Righi' https://launchpad.net/~arighi/+sshkeys
kdev_new coverity 'Coverity Scanner' https://launchpad.net/~colin-king/+sshkeys
kdev_obsolete sultan 'Sultan Alsawaf' https://launchpad.net/~kernel-toast/+sshkeys
kdev_obsolete connork 'Connor Kuehl' https://launchpad.net/~connork/+sshkeys
kdev_new fginther 'Francis Ginther' https://launchpad.net/~fginther/+sshkeys
kdev_new sfeole 'Sean Feole' https://launchpad.net/~sfeole/+sshkeys
kdev_new dannf 'Dann Frazier' https://launchpad.net/~dannf/+sshkeys
kdev_new imay 'Ian May' https://launchpad.net/~ian-may/+sshkeys
kdev_obsolete vilhelm 'William Gray' https://launchpad.net/~vilhelm-gray/+sshkeys
kdev_obsolete kms 'Kelsey Skunberg' https://launchpad.net/~kelsey-skunberg/+sshkeys
kdev_obsolete gpiccoli 'Guilherme Piccoli' https://launchpad.net/~gpiccoli/+sshkeys
kdev_new rtg 'Tim Gardner' https://launchpad.net/~timg-tpi/+sshkeys
kdev_obsolete krzk 'Krzysztof Kozlowski' https://launchpad.net/~krzk/+sshkeys
kdev_new xnox 'Dimitri John Ledkov' https://launchpad.net/~xnox/+sshkeys
kdev_new lukenow 'Luke Nowakowski-Krijger' https://launchpad.net/~lukenow/+sshkeys
kdev_new morbo 'Brett Grandbois' https://launchpad.net/~brettgrand/+sshkeys
kdev_obsolete alexhung 'Alex Hung' https://launchpad.net/~alexhung/+sshkeys
kdev_new philcox 'Phil Cox' https://launchpad.net/~philcox/+sshkeys
kdev_new bzolnier 'Bartlomiej Zolnierkiewicz' https://launchpad.net/~bzolnier/+sshkeys
kdev_obsolete ztahenakos 'Zachary Tahenakos' https://launchpad.net/~ztahenakos/+sshkeys
kdev_new cengiz 'Cengiz Can' https://launchpad.net/~cengizcan/+sshkeys
kdev_new nsweetman 'Nathan Sweetman' https://launchpad.net/~nathan-sweetman/+sshkeys
kdev_new jianhuilee 'Jian Hui Lee' https://launchpad.net/~jianhuilee/+sshkeys
kdev_new portia 'Portia Stephens' https://launchpad.net/~portias/+sshkeys
kdev_new esmil 'Emil Renner Berthing' https://launchpad.net/~esmil/+sshkeys
kdev_new corytodd 'Cory Todd' https://launchpad.net/~corytodd/+sshkeys
kdev_new joseogando 'Jose Ogando' https://launchpad.net/~joseogando/+sshkeys
kdev_new myamada 'Masahiro Yamada' https://launchpad.net/~myamada/+sshkeys
kdev_new john-cabaj 'John Cabaj' https://launchpad.net/~john-cabaj/+sshkeys
kdev_new kpawlak 'Kuba Pawlak' https://launchpad.net/~kuba-t-pawlak/+sshkeys
kdev_new cache-use-only 'Yuxuan.Luo' https://launchpad.net/~cache-use-only/+sshkeys
kdev_new jacobmartin 'Jacob Martin' https://launchpad.net/~jacobmartin/+sshkeys
kdev_new roxanan 'Roxana Nicolescu' https://launchpad.net/~roxanan/+sshkeys
kdev_new agherzan 'Andrei Gherzan' https://launchpad.net/~agherzan/+sshkeys
kdev_new diewald 'Manuel Diewald' https://launchpad.net/~diewald/+sshkeys
kdev_new fnaepelt 'Franziska Naepelt' https://launchpad.net/%7Efnaepelt/+sshkeys
kdev_new magalilemes 'Magali Lemes do Sacramento' https://launchpad.net/~magalilemes/+sshkeys
kdev_new thibf 'Thibault Ferrante' https://launchpad.net/~thibf/+sshkeys
